| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ProductCustomField Class Reference

Class that holds information about product custom field. More...

Inheritance diagram for LicenseSpring.ProductCustomField:

## Public Member Functions
| ProductCustomField ()
| Product custom field default constructor.

## Properties
string | DataType`[get]`
| Data type of the product custom field: daily, weekly, monthly, annualy.
string | DefaultValue`[get]`
| Default value of the product custom field.
string | Description`[get]`
| Description of the product custom field.
uint | Id`[get]`
| Internal ID of the product custom field.
string | Name`[get]`
| Name of the product custom field.
ulong | Product`[get]`
| Internal ID of the product.
Properties inherited from LicenseSpring.IProductCustomField

## Detailed Description

Class that holds information about product custom field.

## Property Documentation

## ◆ DataType

string LicenseSpring.ProductCustomField.DataType
| get

Data type of the product custom field: daily, weekly, monthly, annualy.

Implements LicenseSpring.IProductCustomField.

## ◆ DefaultValue

string LicenseSpring.ProductCustomField.DefaultValue
| get

Default value of the product custom field.

Implements LicenseSpring.IProductCustomField.

## ◆ Description

string LicenseSpring.ProductCustomField.Description
| get

Description of the product custom field.

Implements LicenseSpring.IProductCustomField.

## ◆ Id

uint LicenseSpring.ProductCustomField.Id
| get

Internal ID of the product custom field.

Implements LicenseSpring.IProductCustomField.

## ◆ Name

string LicenseSpring.ProductCustomField.Name
| get

Name of the product custom field.

Implements LicenseSpring.IProductCustomField.

## ◆ Product

ulong LicenseSpring.ProductCustomField.Product
| get

Internal ID of the product.

Implements LicenseSpring.IProductCustomField.

The documentation for this class was generated from the following file:

- ProductCustomField.cs